package it.inaf.oats.ia2.tap.tsm.ejb;

import it.inaf.oats.ia2.tap.tsm.model.Credentials;
import it.inaf.oats.ia2.tap.tsm.model.SelectTapSchemaModel;
import it.inaf.oats.ia2.tap.tsm.rest.EditTapSchemaPageState;
import javax.ejb.Local;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
@Local
public interface ApplicationManagerLocal {

    Credentials getCredentials();

    boolean isLoggedIn();

    String getCurrentPage();

    void setCurrentPage(String pageName);

    SelectTapSchemaModel getSelectTapSchema();

    void setSelectTapSchemaModel(SelectTapSchemaModel selectTapSchemaModel);

    EditTapSchemaPageState getEditTapSchemaPageState();

    void setEditTapSchemaPageState(EditTapSchemaPageState editTapSchemaPageState);
}
